Bug 63867 - GCC generates incorrect assembly code; inserts additional ['s
Summary: GCC generates incorrect assembly code; inserts additional ['s
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: ia64 Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-19 19:12 UTC by Need Real Name
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 20:15:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-04-19 19:12:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
When compiling the ORC compiler (as well as other software), the compiler will
generate incorrect assembly code that is not accepted by the assembler. The
generated code has ['s around several assembly code labels. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.download the ORC compiler from sourceforge.net
2.Install source code
3.use make -f Make.cross build
	

Actual Results:  gcc -c -DHAVE_CONFIG_H -g -O2 -D__MIPS_AND_IA64_ELF_H
-I/usr/sgi/include/ -L/usr/sgi/lib64 -I.
-I../../cygnus_20000828/libiberty/../include  -W -Wall -Wtraditional -pedantic
../../cygnus_20000828/libiberty/argv.c
/tmp/ccEQGlGw.s: Assembler messages:
/tmp/ccEQGlGw.s:20: Error: Rest of line ignored. First ignored character is
`['./tmp/ccEQGlGw.s:78: Error: Rest of line ignored. First ignored character is
`['./tmp/ccEQGlGw.s:114: Error: Rest of line ignored. First ignored character is
`['.
/tmp/ccEQGlGw.s:116: Error: Rest of line ignored. First ignored character is
`['.
/tmp/ccEQGlGw.s:118: Error: Rest of line ignored. First ignored character is
`['.
/tmp/ccEQGlGw.s:119: Error: Rest of line ignored. First ignored character is
`['.
/tmp/ccEQGlGw.s:121: Error: Rest of line ignored. First ignored character is
`['.
/tmp/ccEQGlGw.s:160: Error: Rest of line ignored. First ignored character is
`['.
/tmp/ccEQGlGw.s:176: Error: Rest of line ignored. First ignored character is
`['.
/tmp/ccEQGlGw.s:218: Error: Rest of line ignored. First ignored character is
`['.
/tmp/ccEQGlGw.s:228: Error: Rest of line ignored. First ignored character is
`['.
/tmp/ccEQGlGw.s:528: Error: Rest of line ignored. First ignored character is
`['.
gmake[2]: *** [argv.o] Error 1
gmake[2]: Leaving directory
`/export/home1/hardnett/osprey1.0/targcygnus_ia32_ia64/libiberty'
gmake[1]: *** [all-libiberty] Error 2
gmake[1]: Leaving directory `/export/home1/hardnett/osprey1.0/targcygnus_ia32_ia


Expected Results:  there should be no error messages regarding the illegal
characters.

Additional info:

Comment 1 Jakub Jelinek 2002-04-19 20:54:04 UTC
Please rerun the above gcc command line with additional -save-temps option
and attach here argv.i it creates.

Comment 2 Jakub Jelinek 2004-10-02 20:15:39 UTC
No response in more than 2 years, closing.


Note You need to log in before you can comment on or make changes to this bug.